SUSE: 2019:0795-1 moderate: liblouis

    Date28 Mar 2019
    CategorySuSE
    300
    Posted ByLinuxSecurity Advisories
    An update that fixes 8 vulnerabilities is now available.
    
       SUSE Security Update: Security update for liblouis
    ______________________________________________________________________________
    
    Announcement ID:    SUSE-SU-2019:0795-1
    Rating:             moderate
    References:         #1094685 #1095189 #1095825 #1095826 #1095827 
                        #1095945 #1097103 #1109319 
    Cross-References:   CVE-2018-11410 CVE-2018-11440 CVE-2018-11577
                        CVE-2018-11683 CVE-2018-11684 CVE-2018-11685
                        CVE-2018-12085 CVE-2018-17294
    Affected Products:
                        SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
                        SUSE Linux Enterprise Module for Desktop Applications 15
    ______________________________________________________________________________
    
       An update that fixes 8 vulnerabilities is now available.
    
    Description:
    
       This update for liblouis fixes the following issues:
    
       Security issues fixed:
    
       - CVE-2018-17294: Fixed an out of bounds read in matchCurrentInput
         function which could allow a remote attacker to cause Denail of Service
         (bsc#1109319).
       - CVE-2018-11410: Fixed an invalid free in the compileRule function in
         compileTranslationTable.c (bsc#1094685)
       - CVE-2018-11440: Fixed a stack-based buffer overflow in the function
         parseChars() in compileTranslationTable.c (bsc#1095189)
       - CVE-2018-11577: Fixed a segmentation fault in lou_logPrint in logging.c
         (bsc#1095945)
       - CVE-2018-11683: Fixed a stack-based buffer overflow in the function
         parseChars() in compileTranslationTable.c (different vulnerability than
         CVE-2018-11440) (bsc#1095827)
       - CVE-2018-11684: Fixed stack-based buffer overflow in the function
         includeFile() in compileTranslationTable.c (bsc#1095826)
       - CVE-2018-11685: Fixed a stack-based buffer overflow in the function
         compileHyphenation() in compileTranslationTable.c (bsc#1095825)
       - CVE-2018-12085: Fixed a stack-based buffer overflow in the function
         parseChars() in compileTranslationTable.c (different vulnerability than
         CVE-2018-11440) (bsc#1097103)
    
    
    Patch Instructions:
    
       To install this SUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    
          zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-795=1
    
       - SUSE Linux Enterprise Module for Desktop Applications 15:
    
          zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2019-795=1
    
    
    
    Package List:
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    
          liblouis-debuginfo-3.3.0-4.5.1
          liblouis-debugsource-3.3.0-4.5.1
          liblouis-doc-3.3.0-4.5.1
          liblouis-tools-3.3.0-4.5.1
          liblouis-tools-debuginfo-3.3.0-4.5.1
    
       - SUSE Linux Enterprise Module for Desktop Applications 15 (aarch64 ppc64le s390x x86_64):
    
          liblouis-data-3.3.0-4.5.1
          liblouis-debuginfo-3.3.0-4.5.1
          liblouis-debugsource-3.3.0-4.5.1
          liblouis-devel-3.3.0-4.5.1
          liblouis14-3.3.0-4.5.1
          liblouis14-debuginfo-3.3.0-4.5.1
          python3-louis-3.3.0-4.5.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2018-11410.html
       https://www.suse.com/security/cve/CVE-2018-11440.html
       https://www.suse.com/security/cve/CVE-2018-11577.html
       https://www.suse.com/security/cve/CVE-2018-11683.html
       https://www.suse.com/security/cve/CVE-2018-11684.html
       https://www.suse.com/security/cve/CVE-2018-11685.html
       https://www.suse.com/security/cve/CVE-2018-12085.html
       https://www.suse.com/security/cve/CVE-2018-17294.html
       https://bugzilla.suse.com/1094685
       https://bugzilla.suse.com/1095189
       https://bugzilla.suse.com/1095825
       https://bugzilla.suse.com/1095826
       https://bugzilla.suse.com/1095827
       https://bugzilla.suse.com/1095945
       https://bugzilla.suse.com/1097103
       https://bugzilla.suse.com/1109319
    
    _______________________________________________
    sle-security-updates mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    http://lists.suse.com/mailman/listinfo/sle-security-updates
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    What do you think of the articles on LinuxSecurity?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/24-what-do-you-think-of-the-quality-of-the-articles-on-linuxsecurity?task=poll.vote&format=json
    24
    radio
    [{"id":"87","title":"Excellent, don't change a thing!","votes":"22","type":"x","order":"1","pct":55,"resources":[]},{"id":"88","title":"Should be more technical","votes":"5","type":"x","order":"2","pct":12.5,"resources":[]},{"id":"89","title":"Should include more HOWTOs","votes":"13","type":"x","order":"3","pct":32.5,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.